#![allow(dead_code)]

/// Type definitions for the shedron AST
pub mod ast;

/// Base error types and implementations
pub mod error;

/// Functions for running some shedron code (as a [`TopLevel`])
/// 
/// [`TopLevel`]: ast::TopLevel
pub mod interpret;

/// Functions and definitions for producing a [`TopLevel`]
/// 
/// [`TopLevel`]: ast::TopLevel
pub mod parser;
